Skip to main content
POST
/
v1
/
credit
/
transfers
/
reserveFunds
curl --request POST \
  --url https://api-sandbox.circle.com/v1/credit/transfers/reserveFunds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "amount": {
    "amount": "100000.00",
    "currency": "USD"
  }
}
'
{
  "data": {
    "id": "fc988ed5-c129-4f70-a064-e5beb7eb8e32",
    "amount": {
      "amount": "100000.00",
      "currency": "USD"
    },
    "status": "funds_reserved",
    "expiresAt": "2024-03-20T15:00:00.000Z",
    "createDate": "2024-03-20T14:30:00.000Z",
    "updateDate": "2024-03-20T14:30:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a new credit transfer (drawdown).

idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

amount
object
required

The amount and currency for the transfer. Currency must match the credit line currency.

destination
object

Optional blockchain destination for the transfer. When provided, disbursed funds will be sent to the specified verified blockchain address instead of the default fiat account.

Response

Successfully reserved funds for a credit transfer.

data
object

A credit transfer (drawdown) from the credit line.